package com.ruoyi.bst.mchApply.service;

import java.util.List;
import com.ruoyi.bst.mchApply.domain.MchApply;
import com.ruoyi.bst.mchApply.domain.MchApplyVO;
import com.ruoyi.bst.mchApply.domain.MchApplyQuery;

/**
 * 招商加盟Service接口
 *
 * @author ruoyi
 * @date 2025-04-08
 */
public interface MchApplyService
{
    /**
     * 查询招商加盟
     *
     * @param applyId 招商加盟主键
     * @return 招商加盟
     */
    public MchApplyVO selectMchApplyByApplyId(Long applyId);

    /**
     * 查询招商加盟列表
     *
     * @param mchApply 招商加盟
     * @return 招商加盟集合
     */
    public List<MchApplyVO> selectMchApplyList(MchApplyQuery mchApply);

    /**
     * 新增招商加盟
     *
     * @param mchApply 招商加盟
     * @return 结果
     */
    public int insertMchApply(MchApply mchApply);

    /**
     * 修改招商加盟
     *
     * @param mchApply 招商加盟
     * @return 结果
     */
    public int updateMchApply(MchApply mchApply);

    /**
     * 批量删除招商加盟
     *
     * @param applyIds 需要删除的招商加盟主键集合
     * @return 结果
     */
    public int deleteMchApplyByApplyIds(Long[] applyIds);

    /**
     * 删除招商加盟信息
     *
     * @param applyId 招商加盟主键
     * @return 结果
     */
    public int deleteMchApplyByApplyId(Long applyId);

    boolean verify(Long applyId, Boolean pass, String remark);
}
